Package ru.bgcrm.plugin.bgbilling.proto.model.inet

# Class InetService

java.lang.Object
org.bgerp.model.base.tree.TreeItem<Integer,InetService>
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetService

All Implemented Interfaces:
  `Id<Integer>`, `IdTitle<Integer>`, `Title`, `TreeItem<Integer,InetService>`

public class InetService extends TreeItem<Integer,InetService>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `STATE_DELETED`
  Состояние сервиса - удален (со связанных устройств).
  `static final short`
  `STATE_DISABLE`
  Состояние сервиса/соединения - доступ отключен.
  `static final short`
  `STATE_ENABLE`
  Состояние сервиса/соединения - доступ включен.
  `static final short`
  `STATE_NULL`
  Состояние сервиса - означает, что состояние не изменилось.
  `static final int`
  `STATUS_ACTIVE`
  `static final int`
  `STATUS_CLOSED`
  `static final int`
  `STATUS_LOCKED`
  Deprecated.

  ### Fields inherited from class org.bgerp.model.base.tree.TreeItem

  `children, id, parentId, title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccessCode()`
  `String`
  `getAccessCodeTitle()`
  `byte[]`
  `getAddrFrom()`
  `String`
  `getAddrFromStr()`
  `byte[]`
  `getAddrTo()`
  `String`
  `getAddrToStr()`
  `int`
  `getCid()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getContractObjectId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getDeviceId()`
  `String`
  `getDeviceTitle()`
  `short`
  `getDevState()`
  `String`
  `getDevStateTitle()`
  `int`
  `getDid()`
  Синоним для совместимости с сервисом биллинга.
  `int`
  `getIfaceId()`
  `String`
  `getInterfaceTitle()`
  `int`
  `getIpResId()`
  `String`
  `getLogin()`
  `byte[]`
  `getMacAddress()`
  Возвращает первый MAC адрес.
  `List<byte[]>`
  `getMacAddressList()`
  `String`
  `getMacAddressStr()`
  Возвращает первый MAC адрес.
  `int`
  `getMask()`
  `String`
  `getPassword()`
  `int`
  `getSessionCountLimit()`
  `int`
  `getStatus()`
  `String`
  `getStatusTitle()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `String`
  `getUname()`
  Синоним для совместимости с сервисом биллинга.
  `int`
  `getVlan()`
  `protected boolean`
  `isRootNode()`
  `void`
  `setAccessCode(int accessCode)`
  `void`
  `setAccessCodeTitle(String accessCodeTitle)`
  `void`
  `setAddrFrom(byte[] addrFrom)`
  `void`
  `setAddrTo(byte[] addrTo)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractObjectId(int contractObjectId)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setDeviceTitle(String deviceTitle)`
  `void`
  `setDevState(short devState)`
  `void`
  `setDid(int deviceId)`
  Синоним для совместимости с сервисом биллинга.
  `void`
  `setIfaceId(int ifaceId)`
  `void`
  `setInterfaceTitle(String interfaceTitle)`
  `void`
  `setIpResId(int ipResourceId)`
  `void`
  `setLogin(String login)`
  `void`
  `setMacAddress(byte[] macAddress)`
  Устанавливает единственный MAC адрес.
  `void`
  `setMacAddressList(List<byte[]> macAddress)`
  `void`
  `setMacAddressStr(String macAddress)`
  Устанавливает единственный MAC адрес.
  `void`
  `setPassword(String password)`
  `void`
  `setSessionCountLimit(int sessionCountLimit)`
  `void`
  `setStatus(int status)`
  `void`
  `setTypeId(int typeId)`
  `void`
  `setTypeTitle(String typeTitle)`
  `void`
  `setUname(String login)`
  Синоним для совместимости с сервисом биллинга.
  `void`
  `setVlan(int vlan)`

  ### Methods inherited from class org.bgerp.model.base.tree.TreeItem

  `addChild, getAllChildIds, getById, getChild, getChildCount, getChildIds, getChildren, getIcon, getId, getParentId, getTextStyle, getTitle, isInPathTo, isRootNodeWithIntegerId, setChildren, setId, setParentId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSED

    public static final int STATUS_CLOSED
    See Also:
      - Constant Field Values

  - ### STATUS_LOCKED

    @Deprecated public static final int STATUS_LOCKED
    Deprecated.
    Отсутствует в bgbilling с 9.2404
    See Also:
      - Constant Field Values

  - ### STATE_NULL

    public static final short STATE_NULL
    Состояние сервиса - означает, что состояние не изменилось.
    See Also:
      - Constant Field Values

  - ### STATE_DELETED

    public static final short STATE_DELETED
    Состояние сервиса - удален (со связанных устройств).
    See Also:
      - Constant Field Values

  - ### STATE_DISABLE

    public static final short STATE_DISABLE
    Состояние сервиса/соединения - доступ отключен.
    See Also:
      - Constant Field Values

  - ### STATE_ENABLE

    public static final short STATE_ENABLE
    Состояние сервиса/соединения - доступ включен.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetService

    public InetService()

- ## Method Details

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getContractId

    public int getContractId()

  - ### getCid

    public int getCid()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### getLogin

    public String getLogin()

  - ### setLogin

    public void setLogin(String login)

  - ### getUname

    public String getUname()
    Синоним для совместимости с сервисом биллинга.

  - ### setUname

    public void setUname(String login)
    Синоним для совместимости с сервисом биллинга.

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getDid

    public int getDid()
    Синоним для совместимости с сервисом биллинга.

  - ### setDid

    public void setDid(int deviceId)
    Синоним для совместимости с сервисом биллинга.

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### setDeviceTitle

    public void setDeviceTitle(String deviceTitle)

  - ### getIpResId

    public int getIpResId()

  - ### setIpResId

    public void setIpResId(int ipResourceId)

  - ### getAddrFrom

    public byte[] getAddrFrom()

  - ### setAddrFrom

    public void setAddrFrom(byte[] addrFrom)

  - ### getAddrTo

    public byte[] getAddrTo()

  - ### setAddrTo

    public void setAddrTo(byte[] addrTo)

  - ### getAddrFromStr

    public String getAddrFromStr()

  - ### getAddrToStr

    public String getAddrToStr()

  - ### getMask

    public int getMask()

  - ### getIfaceId

    public int getIfaceId()

  - ### setIfaceId

    public void setIfaceId(int ifaceId)

  - ### getInterfaceTitle

    public String getInterfaceTitle()

  - ### setInterfaceTitle

    public void setInterfaceTitle(String interfaceTitle)

  - ### getMacAddress

    public byte[] getMacAddress()
    Возвращает первый MAC адрес.
    Returns:

  - ### setMacAddress

    public void setMacAddress(byte[] macAddress)
    Устанавливает единственный MAC адрес.
    Parameters:
      `macAddress` -

  - ### getMacAddressStr

    public String getMacAddressStr()
    Возвращает первый MAC адрес.
    Returns:

  - ### setMacAddressStr

    public void setMacAddressStr(String macAddress)
    Устанавливает единственный MAC адрес.
    Parameters:
      `macAddress` -

  - ### getMacAddressList

    public List<byte[]> getMacAddressList()

  - ### setMacAddressList

    public void setMacAddressList(List<byte[]> macAddress)

  - ### getVlan

    public int getVlan()

  - ### setVlan

    public void setVlan(int vlan)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getStatusTitle

    public String getStatusTitle()

  - ### getSessionCountLimit

    public int getSessionCountLimit()

  - ### setSessionCountLimit

    public void setSessionCountLimit(int sessionCountLimit)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getDevState

    public short getDevState()

  - ### setDevState

    public void setDevState(short devState)

  - ### getAccessCode

    public int getAccessCode()

  - ### setAccessCode

    public void setAccessCode(int accessCode)

  - ### getAccessCodeTitle

    public String getAccessCodeTitle()

  - ### setAccessCodeTitle

    public void setAccessCodeTitle(String accessCodeTitle)

  - ### getDevStateTitle

    public String getDevStateTitle()

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getContractObjectId

    public int getContractObjectId()

  - ### setContractObjectId

    public void setContractObjectId(int contractObjectId)

  - ### isRootNode

    protected boolean isRootNode()
    Specified by:
      `isRootNode` in class `TreeItem<Integer,InetService>`